> ## Documentation Index
> Fetch the complete documentation index at: https://docs.struct.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get combo holder stats

> Retrieve total holder count and snapshot block for a combo position from the Polymarket holders engine.



## OpenAPI

````yaml https://api.struct.to/openapi.json get /polymarket/combos/{position_id}/holders/stats
openapi: 3.1.0
info:
  title: Polymarket API
  description: >-
    RESTful API for querying Polymarket prediction markets data including
    events, markets, traders, holders, and real-time metrics
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.struct.to/v1
security: []
paths:
  /polymarket/combos/{position_id}/holders/stats:
    get:
      tags:
        - Combos
      summary: Get combo holder stats
      description: >-
        Retrieve total holder count and snapshot block for a combo position from
        the Polymarket holders engine.
      operationId: get_combo_holder_stats
      parameters:
        - name: position_id
          in: path
          description: Combo position ID (ERC1155 token ID, decimal or 0x-prefixed hex)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Combo holder stats
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComboHolderStatsResponse'
        '400':
          description: Invalid parameter
components:
  schemas:
    ComboHolderStatsResponse:
      type: object
      required:
        - position_id
        - total_holders
      properties:
        position_id:
          type: string
          description: Combo position ID.
        total_holders:
          type: integer
          description: Total unique holders for this combo position.
          minimum: 0

````